%define github_name     Slim-Flash
%define composer_name   flash
%define composer_vendor slim

%define php_libdir %{_datadir}/php
%define slim_home  %{php_libdir}/Slim

%define __requires_exclude_from ^%{_datadir}/.*$

Name:       php-%{composer_vendor}-%{composer_name}
Version:    0.4.0
Release:    %mkrel 3
Summary:    Slim Framework Flash Messages
License:    MIT
Group:      Development/PHP
URL:        http://www.slimframework.com/
Source0:    https://github.com/slimphp/Slim-Flash/archive/%{github_name}-%{version}.tar.gz
# composer.json
Requires:   php >= 5.5.0
Requires:   php-composer(slim/slim)
# autoloader
Requires:   php-composer(fedora/autoloader)
Provides:   php-composer(%{composer_vendor}/%{composer_name}) = %{version}
BuildArch:  noarch

%description
A Slim Framework Flash messages service provider. This enables you to define
transient messages that persist only from the current request to the next
request.

Autoloader: %{php_libdir}/Slim/Message/autoload.php

%prep
%setup -qn %{github_name}-%{version}

%build

%install
install -d %{buildroot}%{php_libdir}/Slim
cp -pr src %{buildroot}%{php_libdir}/Slim/Message

cat > %{buildroot}%{php_libdir}/Slim/Message/autoload.php << 'EOF'
<?php
/* Autoloader for %{name} and its dependencies */

require_once '%{_datadir}/php/Fedora/Autoloader/autoload.php';

\Fedora\Autoloader\Autoload::addPsr4('Slim\\Flash\\', __DIR__);
\Fedora\Autoloader\Dependencies::required(array(
        '%{_datadir}/php/Slim/autoload.php',
));
EOF

%files
%doc LICENSE.md
%{php_libdir}/Slim/Message


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.4.0-3.mga8
+ Revision: 1507411
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.4.0-2.mga7
+ Revision: 1287874
- Mageia 7 Mass Rebuild

* Sun Dec 24 2017 guillomovitch <guillomovitch> 0.4.0-1.mga7
+ Revision: 1184519
- new version 0.4.0

* Wed Oct 04 2017 guillomovitch <guillomovitch> 0.2.0-2.mga7
+ Revision: 1168875
- use fedora autoloader

* Wed Oct 04 2017 guillomovitch <guillomovitch> 0.2.0-1.mga7
+ Revision: 1168795
- imported package php-slim-flash

